Subject: RE: [Bug] Build Failure: Git 2.50.0-rc0 on NonStop

From: <[email-masked]>
Date: Sun, 1 Jun 2025 05:36:45 -0400

On May 30, 2025 10:27 AM, Patrick Steinhardt wrote:
>On Fri, May 30, 2025 at 08:04:47AM -0400, [email-masked] wrote:
>> On May 28, 2025 2:59 PM, I wrote:
>> >To: [email-masked]
>> >I encountered the following failure of rc0:
>> >
>> >static void file_release_data(void *b REFTABLE_UNUSED, struct
>> >reftable_block_data *dest REFTABLE_UNUSED)
>> >                                        ^
>>
>"/home/jenkinsbuild/.jenkins/workspace/Git_Pipeline/reftable/blocksource.c"
>> ,
>> >line 105: error(112):  expected a ")"
>> >
>> >
>> >I am not at all sure why this is failing at this point. Compiler is c99.
>>
>> Looking for help on resolving this before rc1.
>
>Did you maybe miss the proposed patch at [1]? That should fix your issue.

Thanks Patrick. As a packager, I can only build using merged fixes for
2.25.0-rc*. I'm hoping this
makes rc1